/*
 * pf support header
 */

#ifndef _PF_SUPPORT_H_
#define _PF_SUPPORT_H_

#include <sys/param.h>
#include <netinet/in.h>
#include <netinet/ip_var.h>

#if defined(_KERNEL)
/*
 * additional packet tag types
 * Original numbers changed from 11, 12, 13.
 * sys/mbuf.h
 */
/*
 * #if defined(PACKET_TAG_MACLABEL)
 * #define PACKET_TAG_FB_END		(PACKET_TAG_MACLABEL)
 * #else
 * #define PACKET_TAG_FB_END		(PACKET_TAG_IPFORWARD)
 * #endif
 */
/*
 * XXX
 * Yes, it's ugly. Temp. work around to clear MTAG_PERSISTENT flag.
 */
#define PACKET_TAG_FB_END		0x100
#define PACKET_TAG_PF_GENERATED		(PACKET_TAG_FB_END+1)
#define PACKET_TAG_PF_ROUTED		(PACKET_TAG_FB_END+2)
#define PACKET_TAG_PF_FRAGCACHE		(PACKET_TAG_FB_END+3)
#define PACKET_TAG_PF_QID		(PACKET_TAG_FB_END+4)
#define PACKET_TAG_PF_TAG		(PACKET_TAG_FB_END+5)

/*
 * sys/limits.h
 */
#define UID_MAX	UINT_MAX	/* max value for a uid_t */
#define GID_MAX UINT_MAX	/* max value for a gid_t */

#define PF_CDEV_MAJOR	(73)

#define PFALTQ_MODVER	1

#define PFALTQ_MINVER	1
#define PFALTQ_PREFVER	PFALTQ_MODVER
#define PFALTQ_MAXVER	1
#endif /* _KERNEL */

#endif /* !_PF_SUPPORT_H_ */

